Table of Contents

Class: build_scripts_create | Twisted-0.17.4/setup.py
--- | ---

Overload the build_scripts command and create the scripts from scratch, depending on the target platform.

You have to define the name of your package in an inherited class (due to the delayed instantiation of command classes in distutils, this cannot be passed to __init__).

The scripts are created in an uniform scheme: they start the run() function in the module

<packagename>.scripts.<mangled_scriptname>

The mangling of script names replaces '-`and` /' characters with '-`and` .', so that they are valid module paths.

Base Classes |
--- | ---
build_scripts

Methods |
--- | ---
copy_scripts
| copy_scripts

    copy_scripts ( self )

Create each script listed in `self.scripts`

Exceptions |
--- | ---
Exception( "You have to inherit build_scripts_create and" " provide a package name" )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:44 2002 by HappyDoc version 2.0